## ros-iron-moveit-msgs 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(moveit_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Disable Wredundant-decls warnings since rosidl generates redundant function
#  declarations
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS 
    "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wno-redundant-decls")
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(action_msgs REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(shape_msgs REQUIRED)
find_package(object_recognition_msgs REQUIRED)
find_package(octomap_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)


set(msg_files
  "msg/AllowedCollisionEntry.msg"
  "msg/AllowedCollisionMatrix.msg"
  "msg/AttachedCollisionObject.msg"
  "msg/BoundingVolume.msg"
  "msg/CartesianPoint.msg"
  "msg/CartesianTrajectory.msg"
  "msg/CartesianTrajectoryPoint.msg"
  "msg/CollisionObject.msg"
  "msg/ConstraintEvalResult.msg"
  "msg/Constraints.msg"
  "msg/CostSource.msg"
  "msg/ContactInformation.msg"
  "msg/DisplayTrajectory.msg"
  "msg/DisplayRobotState.msg"
  "msg/GenericTrajectory.msg"
  "msg/Grasp.msg"
  "msg/GripperTranslation.msg"
  "msg/JointConstraint.msg"
  "msg/JointLimits.msg"
  "msg/LinkPadding.msg"
  "msg/LinkScale.msg"
  "msg/MotionPlanRequest.msg"
  "msg/MotionPlanResponse.msg"
  "msg/MotionPlanDetailedResponse.msg"
  "msg/MotionSequenceItem.msg"
  "msg/MotionSequenceRequest.msg"
  "msg/MotionSequenceResponse.msg"
  "msg/MoveItErrorCodes.msg"
  "msg/TrajectoryConstraints.msg"
  "msg/ObjectColor.msg"
  "msg/OrientationConstraint.msg"
  "msg/OrientedBoundingBox.msg"
  "msg/PlaceLocation.msg"
  "msg/PlannerInterfaceDescription.msg"
  "msg/PlannerParams.msg"
  "msg/PlanningScene.msg"
  "msg/PlanningSceneComponents.msg"
  "msg/PlanningSceneWorld.msg"
  "msg/PlanningOptions.msg"
  "msg/PositionConstraint.msg"
  "msg/RobotState.msg"
  "msg/RobotTrajectory.msg"
  "msg/VisibilityConstraint.msg"
  "msg/WorkspaceParameters.msg"
  "msg/KinematicSolverInfo.msg"
  "msg/PositionIKRequest.msg"
  "msg/ServoStatus.msg"
)

set(srv_files
  "srv/GetMotionPlan.srv"
  "srv/GetStateValidity.srv"
  "srv/GetCartesianPath.srv"
  "srv/GetPlanningScene.srv"
  "srv/GraspPlanning.srv"
  "srv/ApplyPlanningScene.srv"
  "srv/QueryPlannerInterfaces.srv"
  "srv/GetMotionSequence.srv"
  "srv/GetPositionFK.srv"
  "srv/GetPositionIK.srv"
  "srv/GetPlannerParams.srv"
  "srv/SetPlannerParams.srv"
  "srv/UpdatePointcloudOctomap.srv"
  "srv/SaveMap.srv"
  "srv/LoadMap.srv"
  "srv/SaveRobotStateToWarehouse.srv"
  "srv/ListRobotStatesInWarehouse.srv"
  "srv/GetRobotStateFromWarehouse.srv"
  "srv/CheckIfRobotStateExistsInWarehouse.srv"
  "srv/RenameRobotStateInWarehouse.srv"
  "srv/DeleteRobotStateFromWarehouse.srv"
  "srv/ServoCommandType.srv"
)

set(action_files
  "action/ExecuteTrajectory.action"
  "action/MoveGroup.action"
  "action/MoveGroupSequence.action"
  "action/Pickup.action"
  "action/Place.action"
  "action/LocalPlanner.action"
  "action/GlobalPlanner.action"
  "action/HybridPlanner.action"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  ${action_files}
  DEPENDENCIES
    action_msgs
    builtin_interfaces
    std_msgs
    geometry_msgs
    sensor_msgs
    shape_msgs
    object_recognition_msgs
    octomap_msgs
    trajectory_msgs
)

ament_export_dependencies(rosidl_default_runtime)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-moveit-msgs (2.3.0-1jammy) jammy; urgency=high

  * Remove drift and control dimension services, add ServoCommandType service and ServoStatus message (#161 <https://github.com/ros-planning/moveit_msgs/issues/161>)
  * Merge commit '1c7f63e' into ros2
  * Add controller names to execution (#160 <https://github.com/ros-planning/moveit_msgs/issues/160>)
  * 0.11.3
  * Rename: cartesian_speed_end_effector_link -> cartesian_speed_limited_link (#130 <https://github.com/ros-planning/moveit_msgs/issues/130>)
    Co-authored-by: Thies Oelerich <mailto:thies.oelerich@iwu.fraunhofer.de>
  * clean all trailing whitespace in definitions (#134 <https://github.com/ros-planning/moveit_msgs/issues/134>)
  * CI: Update pat-s/always-upload-cache
  * Remove disclaimer from CollisionObject pose (#126 <https://github.com/ros-planning/moveit_msgs/issues/126>)
    With https://github.com/ros-planning/moveit/pull/2037 merged, this disclaimer can be removed
  * fix long comments in msg (#123 <https://github.com/ros-planning/moveit_msgs/issues/123>)
  * Added message fields for setting the maximum cartesian end effector for cartesian paths (#113 <https://github.com/ros-planning/moveit_msgs/issues/113>)
    * Added message fields for setting the maximum cartesian end effector
    speed of the computed path.
    * Add disclaimer for (yet) unsupported field
    Co-authored-by: Thies Oelerich <mailto:thies.oelerich@iwu.fraunhofer.de>
    Co-authored-by: Michael Görner <mailto:me@v4hn.de>
  * Contributors: Felix von Drigalski, Henning Kayser, Michael Görner, Peter Mitrano, Robert Haschke, Stephanie Eng, Thies Oelerich, V Mohammed Ibrahim, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Sat, 09 Sep 2023 22:00:00 -0000

ros-iron-moveit-msgs (2.2.2-1jammy) jammy; urgency=high

  * Remove disclaimer from CollisionObject pose (#126 <https://github.com/ros-planning/moveit_msgs/issues/126>)
  * Add fields in GetCartesianPath srv to scale velocity and acceleration (#154 <https://github.com/ros-planning/moveit_msgs/issues/154>)
  * Fix clang-format-14 version in Format CI job (#151 <https://github.com/ros-planning/moveit_msgs/issues/151>)
  * Switch to clang-format-14 (#150 <https://github.com/ros-planning/moveit_msgs/issues/150>)
  * move_group: Delete unused ExecuteKnownTrajectory.srv (#149 <https://github.com/ros-planning/moveit_msgs/issues/149>)
  * Contributors: AndyZe, Felix von Drigalski, Henning Kayser, Yadu

 -- Dave Coleman <dave@dav.ee>  Thu, 11 May 2023 22:00:00 -0000

ros-iron-moveit-msgs (2.2.1-1jammy) jammy; urgency=high

  * Add more MoveItErrorCodes to match all OMPL codes (#146 <https://github.com/ros-planning/moveit_msgs/issues/146>)
  * Factor of 2 in OMPL orientation constraints, to match kinematic_constraints (#145 <https://github.com/ros-planning/moveit_msgs/issues/145>)
  * Note on constraint tolerances (#141 <https://github.com/ros-planning/moveit_msgs/issues/141>)
  * Humble CI and prerelease (#139 <https://github.com/ros-planning/moveit_msgs/issues/139>)
  * Contributors: AndyZe, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Mon, 24 Oct 2022 22:00:00 -0000

ros-iron-moveit-msgs (2.2.0-1jammy) jammy; urgency=high

  * Add hybrid planning action definitons (#135 <https://github.com/ros-planning/moveit_msgs/issues/135>)
  * Contributors: AndyZe, Sebastian Jahr, Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Thu, 09 Dec 2021 23:00:00 -0000

ros-iron-moveit-msgs (2.1.1-1jammy) jammy; urgency=high

  * Add jerk to JointLimits.msg (#132 <https://github.com/ros-planning/moveit_msgs/issues/132>)
  * Contributors: AndyZe

 -- Dave Coleman <dave@dav.ee>  Sun, 26 Sep 2021 22:00:00 -0000

ros-iron-moveit-msgs (2.1.0-1jammy) jammy; urgency=high

  * Sync with master branch up to 460caab <https://github.com/ros-planning/moveit_msgs/commit/460caab755cfe018ad07effd7dd808127a7e5c61> (#120 <https://github.com/ros-planning/moveit_msgs/issues/120>)
  * Enable CI on Rolling, Galactic (#117 <https://github.com/ros-planning/moveit_msgs/issues/117>)
  * Pre-release testing workflow for ROS 2 (#118 <https://github.com/ros-planning/moveit_msgs/issues/118>)
  * Contributors: Jafar Abdi, Henning Kayser, Tyler Weaver, Vatan Aksoy Tezer

 -- Dave Coleman <dave@dav.ee>  Wed, 16 Jun 2021 22:00:00 -0000

ros-iron-moveit-msgs (2.0.1-1jammy) jammy; urgency=high

  * Add License Notice (#108 <https://github.com/ros-planning/moveit_msgs/issues/108>)
  * Fix ccache in CI (#102 <https://github.com/ros-planning/moveit_msgs/issues/102>)
  * Migrate to GitHub Actions (#99 <https://github.com/ros-planning/moveit_msgs/issues/99>)
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@dav.ee>  Sun, 23 May 2021 22:00:00 -0000

ros-iron-moveit-msgs (2.0.0-1jammy) jammy; urgency=high

  * [maint] Switch Travis to Foxy (#98 <https://github.com/ros-planning/moveit_msgs/issues/98>)
    * Remove obsolete moveit_msgs.repos
    * Enable CI test ament_lint
  * [maint] Suppress Wredundant-decls warnings (#59 <https://github.com/ros-planning/moveit_msgs/issues/59>)
  * [ros2-migration] Port moveit_msgs to ROS 2
    * Migration to ROS 2 (AcutronicRobotics/moveit_msgs#1 <https://github.com/AcutronicRobotics/moveit_msgs/issues/1>)
    * Add actions and include rosidl_default_runtime (AcutronicRobotics/moveit_msgs#2 <https://github.com/AcutronicRobotics/moveit_msgs/issues/2>, AcutronicRobotics/moveit_msgs#3 <https://github.com/AcutronicRobotics/moveit_msgs/issues/3>)
  * Contributors: Alejandro Hernández Cordero, Henning Kayser, Lander Usategui San Juan, Mike Lautman, Robert Haschke, Víctor Mayoral Vilches, Yu Yan, ibaiape

 -- Dave Coleman <dave@dav.ee>  Thu, 19 Nov 2020 23:00:00 -0000

ros-iron-moveit-msgs (0.11.3-1jammy) jammy; urgency=high

  * Rename: cartesian_speed_end_effector_link -> cartesian_speed_limited_link (#130 <https://github.com/ros-planning/moveit_msgs/issues/130>)
  * Clean all trailing whitespace in definitions (#134 <https://github.com/ros-planning/moveit_msgs/issues/134>)


=== debian/control ===
Source: ros-iron-moveit-msgs
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-iron-action-msgs, ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-cmake <!nocheck>, ros-iron-geometry-msgs, ros-iron-object-recognition-msgs, ros-iron-octomap-msgs, ros-iron-rosidl-default-generators, ros-iron-sensor-msgs, ros-iron-shape-msgs, ros-iron-std-msgs, ros-iron-trajectory-msgs, ros-iron-ros-workspace, ros-iron-rosidl-typesupport-fastrtps-c, ros-iron-rosidl-typesupport-fastrtps-cpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-action-msgs, ros-iron-geometry-msgs, ros-iron-object-recognition-msgs, ros-iron-octomap-msgs, ros-iron-rosidl-default-runtime, ros-iron-sensor-msgs, ros-iron-shape-msgs, ros-iron-std-msgs, ros-iron-trajectory-msgs, ros-iron-ros-workspace
Description: Messages, services and actions used by MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-moveit-msgs//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
